Package com.xebialabs.xlrelease.domain

# Class UserProfile

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.UserProfile

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false) public class UserProfile extends BaseConfigurationItem
No setters defined, because user profiles may be cached.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserProfile()`
  `UserProfile(String id)`
  `UserProfile(String id, String email, String fullName, boolean loginAllowed)`
  `UserProfile(String id, String email, String fullName, boolean loginAllowed, String externalId)`
  `UserProfile(String id, String email, String fullName, boolean loginAllowed, Date lastActive)`
  `UserProfile(String id, String email, String fullName, boolean loginAllowed, Date lastActive, String externalId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCanonicalId()`
  `String`
  `getDateFormat()`
  `String`
  `getEmail()`
  `String`
  `getExternalId()`
  `Integer`
  `getFirstDayOfWeek()`
  `String`
  `getFullName()`
  `Date`
  `getLastActive()`
  `Date`
  `getLastFailedLoginAt()`
  `int`
  `getLastFailedLoginAttemptCount()`
  `String`
  `getTenantId()`
  `String`
  `getTimeFormat()`
  `boolean`
  `isAccountLocked()`
  `boolean`
  `isAnalyticsEnabled()`
  `boolean`
  `isLoginAllowed()`
  `void`
  `setAccountLocked(boolean accountLocked)`
  `void`
  `setAnalyticsEnabled(boolean analyticsEnabled)`
  `void`
  `setDateFormat(String dateFormat)`
  `void`
  `setEmail(String email)`
  `void`
  `setExternalId(String externalId)`
  `void`
  `setFirstDayOfWeek(Integer firstDayOfWeek)`
  `void`
  `setFullName(String fullName)`
  `void`
  `setLastActive(Date lastActive)`
  `void`
  `setLastFailedLoginAt(Date lastFailedLoginAt)`
  `void`
  `setLastFailedLoginAttemptCount(int lastFailedLoginAttemptCount)`
  `void`
  `setLoginAllowed(boolean loginAllowed)`
  `void`
  `setTenantId(String tenantId)`
  `void`
  `setTimeFormat(String timeFormat)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserProfile

    public UserProfile()

  - ### UserProfile

    public UserProfile(String id)

  - ### UserProfile

    public UserProfile(String id, String email, String fullName, boolean loginAllowed)

  - ### UserProfile

    public UserProfile(String id, String email, String fullName, boolean loginAllowed, String externalId)

  - ### UserProfile

    public UserProfile(String id, String email, String fullName, boolean loginAllowed, Date lastActive)

  - ### UserProfile

    public UserProfile(String id, String email, String fullName, boolean loginAllowed, Date lastActive, String externalId)

- ## Method Details

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)

  - ### getCanonicalId

    public String getCanonicalId()

  - ### getFullName

    public String getFullName()

  - ### setFullName

    public void setFullName(String fullName)

  - ### getExternalId

    public String getExternalId()

  - ### setExternalId

    public void setExternalId(String externalId)

  - ### getTenantId

    public String getTenantId()

  - ### setTenantId

    public void setTenantId(String tenantId)

  - ### isLoginAllowed

    public boolean isLoginAllowed()

  - ### setLoginAllowed

    public void setLoginAllowed(boolean loginAllowed)

  - ### getDateFormat

    public String getDateFormat()

  - ### setDateFormat

    public void setDateFormat(String dateFormat)

  - ### getTimeFormat

    public String getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(String timeFormat)

  - ### getFirstDayOfWeek

    public Integer getFirstDayOfWeek()

  - ### setFirstDayOfWeek

    public void setFirstDayOfWeek(Integer firstDayOfWeek)

  - ### getLastActive

    public Date getLastActive()

  - ### setLastActive

    public void setLastActive(Date lastActive)

  - ### isAnalyticsEnabled

    public boolean isAnalyticsEnabled()

  - ### setAnalyticsEnabled

    public void setAnalyticsEnabled(boolean analyticsEnabled)

  - ### getLastFailedLoginAttemptCount

    public int getLastFailedLoginAttemptCount()

  - ### setLastFailedLoginAttemptCount

    public void setLastFailedLoginAttemptCount(int lastFailedLoginAttemptCount)

  - ### getLastFailedLoginAt

    public Date getLastFailedLoginAt()

  - ### setLastFailedLoginAt

    public void setLastFailedLoginAt(Date lastFailedLoginAt)

  - ### isAccountLocked

    public boolean isAccountLocked()

  - ### setAccountLocked

    public void setAccountLocked(boolean accountLocked)